skip !0 exec $(INDEXER) -Echeck      $(UDM_TEST_DIR)/indexer1.conf 1>&2

fail !0 exec rm -rf $(UDM_TEST_DIR)/.mirror/
fail 20 exec $(INDEXER) -Edrop       $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail !0 exec $(INDEXER) -Ecreate     $(UDM_TEST_DIR)/indexer1.conf 1>&2

# Running with a clean mirror
fail !0 exec $(INDEXER) -Ecrawl  -v6 $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer1.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej

# Rinning with a populated mirror
fail !0 exec $(INDEXER) -Ecrawl -amv6 $(UDM_TEST_DIR)/indexer1.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer1.conf < $(UDM_TEST_DIR)/query.tst >> $(UDM_TEST_DIR)/query.rej

# Rinning with a clean mirror, with small MirrorNameMax.
fail !0 exec $(INDEXER) -Ecrawl -amv6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer2.conf < $(UDM_TEST_DIR)/query.tst >> $(UDM_TEST_DIR)/query.rej

# Rinning with a populated mirror, with small MirrorNameMax.
fail !0 exec $(INDEXER) -Ecrawl -amv6 $(UDM_TEST_DIR)/indexer2.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer2.conf < $(UDM_TEST_DIR)/query.tst >> $(UDM_TEST_DIR)/query.rej

#
# Rinning with a populated mirror
# http://site2/8B348C170413EFAA should be loaded from the mirror created for
# http://site/test.html
#
fail !0 exec $(INDEXER) -Ecrawl -amv6 $(UDM_TEST_DIR)/indexer3.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer3.conf < $(UDM_TEST_DIR)/query.tst >> $(UDM_TEST_DIR)/query.rej

#
# Clean-up
#
fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej
fail !0 exec rm -rf $(UDM_TEST_DIR)/.mirror/
pass 0 exec  $(INDEXER) -Edrop $(UDM_TEST_DIR)/indexer1.conf 1>&2
