skip !0 exec $(INDEXER) -Echeck  $(UDM_TEST_DIR)/indexer.conf 1>&2

fail 20 exec $(INDEXER) -Edrop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecreate $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecrawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecrawl  -v 6 $(UDM_TEST_DIR)/bug749.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) text > $(UDM_TEST_DIR)/search.rej
fail !0 mdiff $(UDM_TEST_DIR)/search.rej $(UDM_TEST_DIR)/search.res
fail !0 exec rm -f $(UDM_TEST_DIR)/search.rej
fail !0 exec $(SEARCH) "text&cc=1&amp;URL=http:%2F%2Fsite%2F%3Fa=b%26c=d" > $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) "text&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.txt"  >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) "%C4+%D6+%DC&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) "text&cc=1&amp;URL=http:%2F%2Fsite%2Fnonexistent.txt"  >> $(UDM_TEST_DIR)/cached.rej

# bcs=utf8
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%C3%84+%C3%96+%C3%9C&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

# bcs=koi8-r

fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=utf-8&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.html"   >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.utf8.txt"    >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.html" >> $(UDM_TEST_DIR)/cached.rej
fail !0 exec $(SEARCH) -d $(UDM_TEST_DIR)/search2.htm "%26%23196%3B+%26%23214%3B+%26%23220%3B&lcs=koi8-r&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest.latin1.txt"  >> $(UDM_TEST_DIR)/cached.rej

fail !0 mdiff $(UDM_TEST_DIR)/cached.rej $(UDM_TEST_DIR)/cached.res
fail !0 exec rm -f $(UDM_TEST_DIR)/cached.rej

pass 0 exec  $(INDEXER) -Edrop $(UDM_TEST_DIR)/indexer.conf 1>&2

#
# This test also checks Bug#590
#
