#skip !0 exec test -x /usr/local/bin/catdoc || test -x /usr/bin/catdoc

skip !0 exec $(INDEXER) -Echeck  $(UDM_TEST_DIR)/indexer.conf 1>&2
fail 20 exec $(INDEXER) -Edrop   $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecreate $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecrawl  -v 6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "в&lcs=latin1&bcs=utf-8" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "с+Sergey&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.eml" >> $(UDM_TEST_DIR)/query.rej

# Now test with no Content-Type in urlinfo
fail !0 exec $(INDEXER) --exec="DELETE FROM urlinfo WHERE sname='content-type'" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "с+Sergey&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest01.eml" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "scott&lcs=latin1&bcs=utf-8&cc=1&amp;URL=http:%2F%2Fsite%2Ftest20.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                       >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest14.eml"  >> $(UDM_TEST_DIR)/query.rej


fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                       >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest10.eml"  >> $(UDM_TEST_DIR)/query.rej

fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej
pass 0 exec  $(INDEXER) -Edrop $(UDM_TEST_DIR)/indexer.conf 1>&2
