skip !0 exec $(INDEXER) -Echeck      $(UDM_TEST_DIR)/indexer.conf 1>&2
fail 20 exec $(INDEXER) -Edrop       $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecreate     $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Ecrawl  -v6 $(UDM_TEST_DIR)/indexer.conf 1>&2
fail !0 exec $(INDEXER) -Esqlmon $(UDM_TEST_DIR)/indexer.conf < $(UDM_TEST_DIR)/query.tst > $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "some&lcs=ascii&bcs=utf-8"           >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231073%3B&lcs=ascii&bcs=utf-8"  >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%2313514%3B&lcs=ascii&bcs=utf-8" >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "domain&lcs=ascii&bcs=utf-8"         >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "some&lcs=ascii&bcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest.rtf"    >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "some&lcs=ascii&bcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"   >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "domain&lcs=ascii&bcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest3.rtf" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=ascii&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=koi8-r&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                      >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                              >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=cp1251&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf" >> $(UDM_TEST_DIR)/query.rej

fail !0 exec $(SEARCH) "%D0%B0+%D0%B1+%D0%B2&bcs=utf-8&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                       >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%C1+%C2+%D7&bcs=koi8-r&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%E0+%E1+%E2&bcs=cp1251&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"                               >> $(UDM_TEST_DIR)/query.rej
fail !0 exec $(SEARCH) "%26%231072%3B+%26%231073%3B+%26%231074%3B&bcs=ascii&lcs=utf-8&cc=1&URL=http:%2F%2Fsite%2Ftest2.rtf"  >> $(UDM_TEST_DIR)/query.rej


fail !0 mdiff $(UDM_TEST_DIR)/query.rej $(UDM_TEST_DIR)/query.res
fail !0 exec rm -f $(UDM_TEST_DIR)/query.rej
pass 0 exec  $(INDEXER) -Edrop $(UDM_TEST_DIR)/indexer.conf 1>&2
